View Issue Details

IDProjectCategoryView StatusLast Update
0023313LazarusLCLpublic2017-01-30 11:01
ReporterTsvetoslavAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSwindowsOS VersionWinXP
Product Version1.0.3 (SVN)Product Buildrev. 39257 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0023313: TStringGrid italic texts are cut off
DescriptionIn TStringGrid component, if the selected font style is Italic, then the texts are cut off (see the attached screenshot)
Steps To ReproduceCreate a new GUI application, put a string grid on the form and change the grid font to Tahoma Italic. Compile, run the program and enter some texts in the grid cells.
TagsNo tags attached.
Fixed in Revision46561
LazTarget1.4
WidgetsetWin32/Win64
Attached Files

Activities

2012-11-13 10:46

 

StringGrid_ItalicText.png (65,239 bytes)
StringGrid_ItalicText.png (65,239 bytes)

Vojtech Cihak

2012-11-13 13:22

reporter   ~0063830

It seems OK with Qt and GTK2 so it's probably Win only issue.

Jesus Reyes

2014-10-15 01:48

developer   ~0078233

Need testing under Win9X. Right aligned, bold italic text is sadly (most times) broken.

Tsvetoslav

2017-01-30 11:01

reporter   ~0097816

It seems OK now.

Issue History

Date Modified Username Field Change
2012-11-13 10:46 Tsvetoslav New Issue
2012-11-13 10:46 Tsvetoslav File Added: StringGrid_ItalicText.png
2012-11-13 10:46 Tsvetoslav Widgetset => Win32/Win64
2012-11-13 13:22 Vojtech Cihak Note Added: 0063830
2012-11-14 19:00 Jesus Reyes Status new => assigned
2012-11-14 19:00 Jesus Reyes Assigned To => Jesus Reyes
2014-10-15 01:48 Jesus Reyes Fixed in Revision => 46561
2014-10-15 01:48 Jesus Reyes LazTarget => 1.4
2014-10-15 01:48 Jesus Reyes Note Added: 0078233
2014-10-15 01:48 Jesus Reyes Status assigned => resolved
2014-10-15 01:48 Jesus Reyes Fixed in Version => 1.3 (SVN)
2014-10-15 01:48 Jesus Reyes Resolution open => fixed
2014-10-15 01:48 Jesus Reyes Target Version => 1.4
2017-01-30 11:01 Tsvetoslav Note Added: 0097816
2017-01-30 11:01 Tsvetoslav Status resolved => closed